/*
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 1, or (at your option)
** any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
 * Author : Jerzy Kaczorowski <kaczoroj@hotmail.com> --- November 2002
 */

#if !defined(AFX_KEYWORDCOMBOBOX_H__F5D656E1_FD93_49A0_A27B_231957D4AAC5__INCLUDED_)
#define AFX_KEYWORDCOMBOBOX_H__F5D656E1_FD93_49A0_A27B_231957D4AAC5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// KeywordComboBox.h : header file
//

#include "SmartComboBox.h"

#ifdef WIN32

/////////////////////////////////////////////////////////////////////////////
// CKeywordComboBox window

/*!
	Class to aid the keyword substitution selection

	\note It supports automatic option description setting if the description window is given
*/
class CKeywordComboBox : public CSmartComboBox
{
// Construction
public:
	CKeywordComboBox();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CKeywordComboBox)
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CKeywordComboBox();

	// Generated message map functions
protected:
	//{{AFX_MSG(CKeywordComboBox)
	afx_msg void OnSelchange();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
private:
	// Data members
	HWND m_hDesc;	/*!< Description window handle */

	// Methods
	void SetDescription();

public:
	// Interface
	void SetDescriptionWnd(HWND hDesc);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
#endif /* WIN32 */

#endif // !defined(AFX_KEYWORDCOMBOBOX_H__F5D656E1_FD93_49A0_A27B_231957D4AAC5__INCLUDED_)
